%global modname pynetdicom

%global _description %{expand:
pynetdicom is a pure Python package that implements the DICOM
networking protocol. Working with pydicom, it allows the easy creation of 
DICOM Service Class Users (SCUs) and Service Class Providers (SCPs).}

Name:           python3-%{modname}
Version:        1.4.1
Release:        %mkrel 1
Summary:        A Python implementation of the DICOM networking protocol
Group:          Development/Python
License:        MIT and (BSD or ASL 2.0)
URL:            https://github.com/pydicom/%{modname}
Source0:        https://github.com/pydicom/%{modname}/archive/v%{version}/%{modname}-%{version}.tar.xz

%{?python_enable_dependency_generator}

%description %_description

BuildRequires:  python3-devel
BuildRequires:  make
BuildRequires:  python3-setuptools
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinx-rtd-theme
BuildRequires:  python3-pydicom
%{?python_provide:%python_provide python3-%{modname}}

%description -n python3-%{modname} %_description

%package doc
Summary:        %{summary}
Group: Documentation

%description doc
Documentation for %{name}.

%prep
%setup -n %{modname}-%{version}
rm -rf %{modname}.egg-info
find . -type f -name "*.py" -exec sed -i '/^#![  ]*\/usr\/bin\/env.*$/ d' {} 2>/dev/null ';'

%build
%py3_build

export PYTHONPATH=../
make -C docs SPHINXBUILD=sphinx-build-3 html 
rm -rf docs/_build/html/{.doctrees,.buildinfo,.nojekyll} -vf

%install
%py3_install

####%check
#### test_tls_yes_server_yes_client and test_tls_transfer are disabled. Upstream is investigating.
#### https://github.com/pydicom/pynetdicom/issues/406 and https://github.com/pydicom/pynetdicom/issues/364
###%{__python3} -m pytest -k "not test_tls_yes_server_yes_client and not test_tls_transfer"

%files -n python3-%{modname}
%doc README.rst LICENCE.txt
%{python3_sitelib}/%{modname}-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/%{modname}

%files doc
%doc LICENCE.txt
%doc docs/_build/html

%changelog
* Sat Jan 25 2020 onkelho <oh.quait at gmail.com> - 1.4.1-1pclos2020
- initial build on pclos

